
Installer - Feature #36769

Add ANSIBLE_PERMISSION_CLASSES support for pulp_ansible regression

09/21/2023 10:03 PM - Ian Ballou

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A regression on pulp ansible that's in the pulpcore 3.28 repo will stop users from being able to sync ansible content to smart proxies.

This PR solves it: https://github.com/pulp/pulp_ansible/pull/1561

The change requires us to set the new ANSIBLE_PERMISSION_CLASSES to an empty array so that no auth is needed to consume

hosted ansible content.

This is going to be needed for Katelo 4.10.

Related issues:

Is duplicate of Installer - Bug #36709: Set ANSIBLE_PERMISSION_CLASSES as emp... Closed

History

#1 - 09/22/2023 01:36 PM - Ewoud Kohl van Wijngaarden

- Is duplicate of Bug #36709: Set ANSIBLE_PERMISSION_CLASSES as empty list to allow syncing collection repos on capsule without RBAC access

to Galaxy endpoints added

#2 - 09/22/2023 01:37 PM - Ewoud Kohl van Wijngaarden

- Category changed from External modules to Foreman modules

- Status changed from New to Duplicate

#3 - 09/28/2023 03:04 PM - Ewoud Kohl van Wijngaarden

- Target version deleted (3.8.0)
